summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-man
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2011-06-22 15:33:05 +0000
committerKarl Berry <karl@freefriends.org>2011-06-22 15:33:05 +0000
commiteaf7c239e056c7048ed172278c5040d5925010d4 (patch)
treeaf93d9157bc63bc4535fcd3e02e73a44adcb6f7a /Master/tlpkg/bin/tl-update-man
parent3d484dbd59d1501386da5ec4eb44b9b6f39132e9 (diff)
man updates for 2011
git-svn-id: svn://tug.org/texlive/trunk@23089 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-man')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-man18
1 files changed, 14 insertions, 4 deletions
diff --git a/Master/tlpkg/bin/tl-update-man b/Master/tlpkg/bin/tl-update-man
index 1e3a4e83ff2..ba42ff7e3d8 100755
--- a/Master/tlpkg/bin/tl-update-man
+++ b/Master/tlpkg/bin/tl-update-man
@@ -22,16 +22,26 @@ for sect in 1 5; do
cd $Build_inst/texmf/doc/man/man$sect || exit 1
ls >$TMPDIR/new
- # omit symlinks since they are now files using .so. (xxtodo should check)
+ # copy files from build to runtime:
find -type f | sort | xargs tar cf - | (cd $rundir && tar xf -)
+ if test -n "`find -type l`"; then
+ echo "$0: unexpected man symlinks in `pwd`" >&2
+ echo "$0: everything should use .so; goodbye" >&2
+ exit 1
+ fi
# add new:
- comm -13 $TMPDIR/now $TMPDIR/new >$TMPDIR/needed.$sect
- test -s $TMPDIR/needed && (cd $rundir && svn add `cat $TMPDIR/needed`)
+ needed=$TMPDIR/needed.$sect
+ comm -13 $TMPDIR/now $TMPDIR/new >$needed
+ test -s $needed && (cd $rundir && svn add `cat $needed`)
- # do not delete, since some man pages aren't installed from the build,
+ # do not delete, since many man pages aren't installed from the build,
# but just in case we want to look:
comm -23 $TMPDIR/now $TMPDIR/new | grep -v '\.pdf$' >>$TMPDIR/extraman.$sect
+ # compare with (cd $lb && \ls | comm -13 - /tmp/extraman.1)
+
+ # for man1, generate make fragment for checking against man1/Makefile.
+ (cd $rundir/.. && make so.rules >$TMPDIR/so.rules)
# see what we've done:
(cd $rundir && svn status)